/**
 * 
 */
package net.bigeon.gclc.swt;

import static org.junit.Assert.assertNotNull;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Shell;
import org.junit.Test;

/** @author Emmanuel Bigeon */
public class SWTConsoleShellTest {

    /** Test method for
     * {@link net.bigeon.gclc.swt.SWTConsole#SWTConsole(Composite, int)}. */
    @Test
    public void testSWTConsoleShell() {
        final SWTConsole console = new SWTConsole(new Shell(), SWT.NONE);
        assertNotNull("View should be initialized with managers",
                console.getInputManager());
        assertNotNull("View should be initialized with managers",
                console.getOutputManager());
        assertNotNull("View should be initialized with managers",
                console.getPromptManager());
    }

    /** Test method for
     * {@link net.bigeon.gclc.swt.SWTConsole#connect(net.bigeon.gclc.utils.PipedConsoleInput, net.bigeon.gclc.utils.PipedConsoleOutput, java.io.BufferedReader)}. */
    @Test
    public void testConnect() {
        final SWTConsole console = new SWTConsole(new Shell(), SWT.NONE);
        // Disconnection should work.
        console.connect(null, null, null);
    }

}
